diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 073d07e..cb138ab 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -29391,7 +29391,7 @@ FunctionSpaceIntegration(R, F): Exports == Implementation where
     tan2temp k == kernel(optemp, argument k, height k)$K
  
     trans? f ==
-      any?(is?(#1,"log"::SE) or is?(#1,"exp"::SE) or is?(#1,"atan"::SE),
+      any?(x1+->is?(x1,"log"::SE) or is?(x1,"exp"::SE) or is?(x1,"atan"::SE),
            operators f)$List(BasicOperator)
  
     mkPrimh(f, x, h, comp) ==
@@ -29439,15 +29439,15 @@ FunctionSpaceIntegration(R, F): Exports == Implementation where
     integrate(f, x) ==
       not real? f => complexIntegrate(f, x)
       f   := distribute(f, x::F)
-      tf  := [k for k in tower f | member?(x, variables(k::F)@List(SE))]$List(K)
-      ltf := select(is?(operator #1, "tan"::SE), tf)
-      ht  := any?(has?(operator #1, "htrig"), tf)
+      tf  := [k for k in tower f | member?(x,variables(k::F)@List(SE))]$List(K)
+      ltf := select(x1+->is?(operator x1, "tan"::SE), tf)
+      ht  := any?(x1+->has?(operator x1, "htrig"), tf)
       rec := rischNormalize(realElementary(f, x), x)
       g   := rootSimp(rec.func)
       tg  := [k for k in tower g | member?(x, variables(k::F))]$List(K)
-      ltg := select(is?(operator #1, "tan"::SE), tg)
-      rtg := any?(has?(operator #1, "rtrig"), tg)
-      el  := any?(has?(operator #1, "elem"), tg)
+      ltg := select(x1+->is?(operator x1, "tan"::SE), tg)
+      rtg := any?(x1+->has?(operator x1, "rtrig"), tg)
+      el  := any?(x1+->has?(operator x1, "elem"), tg)
       i:IR
       if (comp := goComplex?(rtg, tg, ltg)) then
         i := map(FG2F, lfintegrate(trigs2explogs(F2FG g,
diff --git a/changelog b/changelog
index 9885786..da40ddf 100644
--- a/changelog
+++ b/changelog
@@ -1,5 +1,7 @@
+20090520 tpd src/axiom-website/patches.html 20090520.02.tpd.patch
+20090520 tpd books/bookvol10.4 FSINT +-> conversion
 20090520 tpd src/axiom-website/patches.html 20090520.01.tpd.patch
-20090520 tpd books/bookvol10.4 F FS2 +-> conversion
+20090520 tpd books/bookvol10.4 FS2 +-> conversion
 20090519 tpd src/axiom-website/patches.html 20090519.09.tpd.patch
 20090519 tpd books/bookvol10.4 FSCINT +-> conversion
 20090519 tpd src/axiom-website/patches.html 20090519.08.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 742a734..8a2ea3c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1384,5 +1384,7 @@ bookvol10.3 XRPOLY +-> conversion<br/>
 bookvol10.4 FSCINT +-> conversion<br/>
 <a href="patches/20090520.01.tpd.patch">20090520.01.tpd.patch</a>
 bookvol10.4 FS2 +-> conversion<br/>
+<a href="patches/20090520.01.tpd.patch">20090520.01.tpd.patch</a>
+bookvol10.4 FSINT +-> conversion<br/>
  </body>
 </html>
